Configurations don't match - pfsync not working



  • My secondary node had issues and wasn't syncing any longer. I reloaded it with the latest version 2.3.4 - clean from a USB stick.

    My primary node was 2.3.3-p1 - I did a package upgrade from the command line and it now says it is is 2.3.4-p1. The web UI says 2.3.4-p1 (and indicates I am at the newest release, no updates found)

    Syncing stil doesn't work. on the primary node (2.3.4-p1) the config.xml file indicates a version of 15.0 while the secondary node (2.3.4) is saying 15.8

    Obviously I screwed something up somewhere along the line. How can I get everyone back in sync again? My only viable firewall at the moment is the primary.


  • Rebel Alliance Developer Netgate

    How exactly did you upgrade the primary? Try again using "pfSense-upgrade -d" and don't run things like "pkg upgrade" directly.



  • Hindsight is 20/20  :-[

    I'm taking a short outage on the weekend to update the primary properly. Lesson learned.